GNU bug report logs - #29586
Please revert change to package deletion

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Adam Porter <adam@HIDDEN>; dated Wed, 6 Dec 2017 00:22:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 9 Dec 2017 18:55:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 09 13:55:56 2017
Received: from localhost ([127.0.0.1]:54084 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNkI0-0007GQ-JU
	for submit <at> debbugs.gnu.org; Sat, 09 Dec 2017 13:55:56 -0500
Received: from mail-wm0-f50.google.com ([74.125.82.50]:33907)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alphadeltapapa@HIDDEN>) id 1eNkHz-0007GD-13
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 13:55:55 -0500
Received: by mail-wm0-f50.google.com with SMTP id y82so8278924wmg.1
 for <29586 <at> debbugs.gnu.org>; Sat, 09 Dec 2017 10:55:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=zsVt20QJHMjwhHYHiAk95SAtWY6XoSOWlD6hsS+Gh7U=;
 b=AuQ2rFxdpPeDeC6hf8cqDzDlvaIJP7khQKLwDEtYdP9B9CTaVwbiINNd7tiARo7LAo
 iDBObkRJs3qwY31ki8Z7G+vZx8Z//NndebjWgzXPjjbp456rpAv2H2KAc7hd07xAghh3
 FJrYdOa3BdlfkekVdLvlbYyjQ1CMTh/jUcI8FQy0Q7PjiQcUqTpV0McFxhZ/RIzbZBSs
 dCIalyqJlyzMl0B49XeJ0UfwXsQgA7L1bY3/i/pefnKatACWlR8zCnnllAC+jnSZgecX
 BJDekwcIStxPrmUAMO+oVsw/bWRKVXhTWGFUrJmdWnHiAXqyT9GyGjJCqVuqzt/CF3IP
 MXRg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=zsVt20QJHMjwhHYHiAk95SAtWY6XoSOWlD6hsS+Gh7U=;
 b=jvBgGuDKTEh1Of/lEHCixv341b2l75v9alfVHeAO8xqoQNUfAfOrf/te1wCQwULgMJ
 2LFe4ztdoWdh0iCaqrV8hNbnsIvh6A90QAdiklrEJTf1GzQu2tWLhwvuAGsikI8WLH7i
 2CP1Tm7Z0TIz4BnITf2T2s7JfZTsyScZdIVzMIGNDKkGR0fiZfWFLZwNxSBZ1kzYmZmk
 u65Gov1lPwt5i4OkkUaX0v5Ibw4jqz35H3EDEIyJT1pX9IFeIW6fCEZci31ifxmQWsvS
 plBAxAscMylOeCiXy/5m+pjM08UuHPH6hWS4zK7LIk1AD8oLaNnaWJ1jd02XFGQR+tqx
 b7NQ==
X-Gm-Message-State: AJaThX6AoPta7NH45zUApIBlKZJLFzq9J0szPyYjpOvp43SDDATDinVN
 l508blZIDmGCYYQv7CLvq5A5zzoBfxML9YCeIuk=
X-Google-Smtp-Source: AGs4zMZrEvCrUO3DSB6AEk0MmY/oyRcTjzkhbBhzSzxsq1KeTJLJ5A7GLiFAYhMiuEeoUkMIt3GzIWPPC1cusmj/o/k=
X-Received: by 10.80.135.86 with SMTP id 22mr53574416edv.266.1512845749100;
 Sat, 09 Dec 2017 10:55:49 -0800 (PST)
MIME-Version: 1.0
Received: by 10.80.148.214 with HTTP; Sat, 9 Dec 2017 10:55:48 -0800 (PST)
In-Reply-To: <m2o9n8uv3g.fsf@HIDDEN>
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN> <83mv2twl5w.fsf@HIDDEN>
 <m2lgic30wo.fsf@HIDDEN>
 <83h8t0uvjz.fsf@HIDDEN> <m2o9n8uv3g.fsf@HIDDEN>
From: Adam Porter <adam@HIDDEN>
Date: Sat, 9 Dec 2017 12:55:48 -0600
X-Google-Sender-Auth: prO7mIUBLyRd9wF-cmMiUmVMQQ4
Message-ID: <CAO_b3FVDpCr-LBkY=2rf_+Mzx7bs5RxveeKnLmFBmZi6wJf05Q@HIDDEN>
Subject: Re: bug#29586: Please revert change to package deletion
To: John Wiegley <johnw@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 29586
Cc: 29586 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Sat, Dec 9, 2017 at 3:08 AM, John Wiegley <johnw@HIDDEN> wrote:
>>>>>> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> The disk space is not the issue, I think, not nowadays. I believe the issue
>> is the _number_ of files in the trash: if there are an awful lot of them,
>> they make looking for those "precious" mistakenly deleted files harder. Or
>> at least this is my understanding; I don't use trash, so have no experience
>> of my own to share.
>
> That I can buy. A daily update in my case would result in half a million files
> over the course of a month.

That's not an unreasonable concern, however there are (or ought to be)
some mitigating factors:

1.  Emacs should move the package directory to the trash, not the
individual files within it.  This will appear as a single directory in
the trash.
2.  Trash bin UI should provide filtering and sorting to easily narrow
down what's in it.  For example, using Dolphin in KDE, there is
extensive sorting, by deletion date, original path, filename, size,
etc.  And there's a filter-as-you-type bar to narrow results quickly.

Of course I have no objection to Emacs users who don't want this
behavior.  If the patch I mentioned were merged, everyone could have
the behavior they want instead of it being hard-coded one way or the
other.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 9 Dec 2017 09:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 09 04:08:54 2017
Received: from localhost ([127.0.0.1]:53116 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNb7u-0000DS-IF
	for submit <at> debbugs.gnu.org; Sat, 09 Dec 2017 04:08:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johnw@HIDDEN>) id 1eNb7s-0000DG-8z
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 04:08:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johnw@HIDDEN>) id 1eNb7m-0007iW-3Y
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 04:08:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58590)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johnw@HIDDEN>)
 id 1eNb7f-0007aY-DR; Sat, 09 Dec 2017 04:08:39 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:56417)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <johnw@HIDDEN>)
 id 1eNb7f-0005T3-11; Sat, 09 Dec 2017 04:08:39 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailauth.nyi.internal (Postfix) with ESMTP id AA288208C1;
 Sat,  9 Dec 2017 04:08:38 -0500 (EST)
Received: from frontend1 ([10.202.2.160])
 by compute4.internal (MEProxy); Sat, 09 Dec 2017 04:08:38 -0500
X-ME-Sender: <xms:FqgrWiyWdaWzmmPVOCWFwnBpiJlkFckt4RwxNvMgm-IC5F5iyeQWwA>
Received: from localhost (76-234-69-149.lightspeed.frokca.sbcglobal.net
 [76.234.69.149])
 by mail.messagingengine.com (Postfix) with ESMTPA id 42F0A7E16E;
 Sat,  9 Dec 2017 04:08:38 -0500 (EST)
From: John Wiegley <johnw@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29586: Please revert change to package deletion
In-Reply-To: <83h8t0uvjz.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 09 Dec
 2017 10:58:40 +0200")
Date: Sat, 09 Dec 2017 01:08:35 -0800
Message-ID: <m2o9n8uv3g.fsf@HIDDEN>
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN> <83mv2twl5w.fsf@HIDDEN>
 <m2lgic30wo.fsf@HIDDEN> <83h8t0uvjz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29586
Cc: adam@HIDDEN, 29586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

> The disk space is not the issue, I think, not nowadays. I believe the issue
> is the _number_ of files in the trash: if there are an awful lot of them,
> they make looking for those "precious" mistakenly deleted files harder. Or
> at least this is my understanding; I don't use trash, so have no experience
> of my own to share.

That I can buy. A daily update in my case would result in half a million files
over the course of a month.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 9 Dec 2017 08:59:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 09 03:59:12 2017
Received: from localhost ([127.0.0.1]:53102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNayW-0008Pv-2F
	for submit <at> debbugs.gnu.org; Sat, 09 Dec 2017 03:59:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eNayU-0008Pj-AZ
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 03:59:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eNayO-0000VH-7v
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 03:59:05 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58419)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eNayJ-0000PV-DX; Sat, 09 Dec 2017 03:58:59 -0500
Received: from [176.228.60.248] (port=4230 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eNayI-0003BA-J7; Sat, 09 Dec 2017 03:58:59 -0500
Date: Sat, 09 Dec 2017 10:58:40 +0200
Message-Id: <83h8t0uvjz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: John Wiegley <johnw@HIDDEN>
In-reply-to: <m2lgic30wo.fsf@HIDDEN> (message from John Wiegley on
 Fri, 08 Dec 2017 21:50:31 -0800)
Subject: Re: bug#29586: Please revert change to package deletion
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN> <83mv2twl5w.fsf@HIDDEN>
 <m2lgic30wo.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29586
Cc: adam@HIDDEN, 29586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: John Wiegley <johnw@HIDDEN>
> Cc: adam@HIDDEN,  29586 <at> debbugs.gnu.org
> Date: Fri, 08 Dec 2017 21:50:31 -0800
> 
> >>>>> "EZ" == Eli Zaretskii <eliz@HIDDEN> writes:
> 
> EZ> The problem is that many users have their packages auto-updated, so the
> EZ> trash piles up quite quickly.
> 
> Not to be contentious, but how much of an impact could that really have for
> Emacs packages? I use >350 packages, and my site-lisp is 400M. Even if I
> auto-updated everything, every day, that's *still* ~1% of my disk, which is
> what I usually allocate for trash accumulation.

The disk space is not the issue, I think, not nowadays.  I believe the
issue is the _number_ of files in the trash: if there are an awful lot
of them, they make looking for those "precious" mistakenly deleted
files harder.  Or at least this is my understanding; I don't use
trash, so have no experience of my own to share.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 9 Dec 2017 05:51:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 09 00:51:05 2017
Received: from localhost ([127.0.0.1]:53072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNY2T-00022E-LX
	for submit <at> debbugs.gnu.org; Sat, 09 Dec 2017 00:51:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johnw@HIDDEN>) id 1eNY2R-00021k-0O
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 00:51:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johnw@HIDDEN>) id 1eNY2I-0003rt-Ap
 for 29586 <at> debbugs.gnu.org; Sat, 09 Dec 2017 00:50:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56550)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johnw@HIDDEN>)
 id 1eNY27-0003km-9H; Sat, 09 Dec 2017 00:50:43 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:40655)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <johnw@HIDDEN>)
 id 1eNY24-0002sH-3I; Sat, 09 Dec 2017 00:50:40 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailauth.nyi.internal (Postfix) with ESMTP id 4E5BF20C00;
 Sat,  9 Dec 2017 00:50:38 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute4.internal (MEProxy); Sat, 09 Dec 2017 00:50:38 -0500
X-ME-Sender: <xms:rnkrWsaTvqrrwFL7M14tYJQ72MSPQ8nEqVzO-ZoYIDsjZoi5IaBaqQ>
Received: from localhost (76-234-69-149.lightspeed.frokca.sbcglobal.net
 [76.234.69.149])
 by mail.messagingengine.com (Postfix) with ESMTPA id DC53C242CD;
 Sat,  9 Dec 2017 00:50:37 -0500 (EST)
From: John Wiegley <johnw@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29586: Please revert change to package deletion
In-Reply-To: <83mv2twl5w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Dec
 2017 12:47:55 +0200")
Date: Fri, 08 Dec 2017 21:50:31 -0800
Message-ID: <m2lgic30wo.fsf@HIDDEN>
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN> <83mv2twl5w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29586
Cc: adam@HIDDEN, 29586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

>>>>> "EZ" == Eli Zaretskii <eliz@HIDDEN> writes:

EZ> The problem is that many users have their packages auto-updated, so the
EZ> trash piles up quite quickly.

Not to be contentious, but how much of an impact could that really have for
Emacs packages? I use >350 packages, and my site-lisp is 400M. Even if I
auto-updated everything, every day, that's *still* ~1% of my disk, which is
what I usually allocate for trash accumulation.

Your argument that no other package system replaces packages by moving them to
the trash is valid, though; I don't know of any that do that. Thus, I can't
argue that it's the right thing to do here.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 8 Dec 2017 18:22:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 08 13:22:14 2017
Received: from localhost ([127.0.0.1]:52825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNNHp-0007cs-Vl
	for submit <at> debbugs.gnu.org; Fri, 08 Dec 2017 13:22:14 -0500
Received: from mail-wm0-f52.google.com ([74.125.82.52]:42620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alphadeltapapa@HIDDEN>) id 1eNNHn-0007cc-ML
 for 29586 <at> debbugs.gnu.org; Fri, 08 Dec 2017 13:22:12 -0500
Received: by mail-wm0-f52.google.com with SMTP id b199so863640wme.1
 for <29586 <at> debbugs.gnu.org>; Fri, 08 Dec 2017 10:22:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to; bh=5X8BsM0ITIdTNj/rG+wHRrMq5aT3QNEpB8Tkl7d/FQk=;
 b=ddLhBxeZf1PLUOWzGcWTJJ4QbEWLutbuwq1cW0iPijLpNez01qE1qkRhhMxtZqslML
 rQKr3cI+4d1ZhJ+FObDbd/X7Zx6cbhR6od9+4TMdDRVxN9VzTX2T1fEIURLmkurY3Hil
 gBQw/aSJ5vxJtymbfpdQAC1XpEDW8bYaYmeTc17xHtY8rquWDGPs16Se9FU+a6vrDb8R
 AbWw74chctTKzcL/g0blwkcp3NSRQITwZKc6vkh++7dOWgfggrkJ2JXrlRcx3pp6ZX8S
 JpFRmqLVeihU15JPVMXwGzMxhYLPbF5ecpMOUB3LwVbjcfWo6kSbD/7a/TS3n54F2M0e
 N1Jg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to;
 bh=5X8BsM0ITIdTNj/rG+wHRrMq5aT3QNEpB8Tkl7d/FQk=;
 b=BmErvHvc23Df28dbg8aAc31rmR4qYkO4w9oBWV9/TehFF//VRorWkyourP9iUnNqwa
 HCSvFdbAafut64+hitXKzrvpr8jOcdGJnb2U9/R+o1ocpffZewc4H1TZ/0j0U/Jpzdkj
 8oyhJgtDlj/1JGRAJWX+nh1NRVdNBT7T9P7DyNsS7dioxonbflR2M7iq/zU3UUU37Rk3
 LNbmBk0xHIuxSF73zggD0WnnIAEsRvr0V3YDQJVZyn39gacNG603GM5cCH7osLTeR7v8
 uD7QWly1G7VT87OP3AeFNIWOTODIWgl2oktAnm/YbG6x80KZH7CoOWZ526Ep8jeSA0f1
 TzGw==
X-Gm-Message-State: AJaThX7nGbOb+ReoLsi7ZQmo+5AUviB6cappjQokWLHRROg0kN3VUcPK
 iVU6QWnSRq3S5yTcO9IUhhZL9Q2HWSWyXOHOfiuqOA==
X-Google-Smtp-Source: AGs4zMafbIrYVCigYi8k+rwWjhtYBZ1QM/hgvz8crUTLg0f3JemhblvCtZck8gpmS3HGjq04dJKkoqzMUfUAJqSYLus=
X-Received: by 10.80.212.196 with SMTP id e4mr49824710edj.97.1512757325715;
 Fri, 08 Dec 2017 10:22:05 -0800 (PST)
MIME-Version: 1.0
Received: by 10.80.148.214 with HTTP; Fri, 8 Dec 2017 10:22:05 -0800 (PST)
In-Reply-To: <83mv2twl5w.fsf@HIDDEN>
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN> <83mv2twl5w.fsf@HIDDEN>
From: Adam Porter <adam@HIDDEN>
Date: Fri, 8 Dec 2017 12:22:05 -0600
X-Google-Sender-Auth: cshrLG1G9rLpIocO-Xr7WpBiPVU
Message-ID: <CAO_b3FVfjKXS+u4hh8QKTb5s5S8RjLR0x8a3YHvcqm12dAP6+Q@HIDDEN>
Subject: Re: bug#29586: Please revert change to package deletion
To: 29586 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 29586
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

On Fri, Dec 8, 2017 at 4:47 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> The problem is that many users have their packages auto-updated, so
> the trash piles up quite quickly.

Is that a problem, though?  It's not for me.  I have plenty of disk
space, and I don't even look at the trash for weeks or months at a
time.  Then I can empty it with a single command, or I have a Python
script that works with XDG trash bins that can delete all trashed
items older than a certain time.  There are also desktop environments
that can delete trash automatically (e.g. KDE).

> The usual justification for trash is that you may be inadvertently
> deleting something precious.  Here we are talking about downgrading to
> a previous version of a package, which, while perhaps somewhat
> inconvenient, is not impossible.  So why fill up the user's trash with
> stuff that can be recovered "by other means"?

As best I can tell, the typical process to recover old package
versions by other means would look like this:

1.  Already know how to use git or whatever VC the package author uses.
2.  Find package's web site or VC repo, either through
describe-package or looking at the source file.
3.  Clone the repo locally.
4.  Figure out which previous commit corresponds to the version which
was previously installed.  (This is a non-trivial step: without having
the previous version's files available, the user may be left to simply
guess what the old version string was.  If he can determine that, he
can guess which commit corresponds to it by date.  If he can't
determine the old version string, he essentially has to look at the
commit log and figure out, from the contents of each commit, which one
is most likely to still work on his config.)
5.  Check-out that commit.
6.  Actually use that commit in his Emacs config.  (If it's a
single-file package, he might simply load the file, or open it and
eval the buffer.  If it's a multi-file package, this process is
laborious and error-prone, as the files must be loaded in the correct
order.  Alternatively, he could add the directory to his load-path,
delete the broken, installed version of the package, and restart
Emacs.  None of these steps are likely to be feasible for users who
are not also package developers.)

In contrast, if he could restore the old version from the trash, the
process would look something like:

1.  Uninstall current version of the package.
2.  Restore old version's directory from the trash.
3.  Restart Emacs.

Most Emacs users could do this much more easily.  They might not know
that the old version is in the trash, but someone on e.g. /r/emacs or
IRC could easily describe that process to them.  But describing the
other process to someone who doesn't already know how to do those
things is not a promising scenario, especially in the case that the
user needs to get something done quickly and needs his config to just
work like it used to.

Glenn makes a good point, and it would be great if package.el could do
those things someday.  But if that ever happens, it's a long way off,
and being able to restore old versions from the trash is a simple,
cheap way to safeguard against such common breakage (as an example,
not to criticize John, but even use-package had changes in the past
few days which caused some breakage in users' configs, and it would
have been simple for them to simply restore the old version until a
fix was published).  It's also the way it's worked for many years now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 8 Dec 2017 17:59:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 08 12:59:54 2017
Received: from localhost ([127.0.0.1]:52810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNMwE-0005CW-18
	for submit <at> debbugs.gnu.org; Fri, 08 Dec 2017 12:59:54 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53079)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1eNMwC-0005CG-5l
 for 29586 <at> debbugs.gnu.org; Fri, 08 Dec 2017 12:59:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1eNMw6-0007Fl-EZ
 for 29586 <at> debbugs.gnu.org; Fri, 08 Dec 2017 12:59:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:43325)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1eNMw1-0007Bu-52; Fri, 08 Dec 2017 12:59:41 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1eNMw0-0005YR-HO; Fri, 08 Dec 2017 12:59:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#29586: Please revert change to package deletion
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN> <83mv2twl5w.fsf@HIDDEN>
X-Spook: Air Marshal Hugo Chavez LABLINK Gangs Emergency
X-Ran: T?Dj5xKo3Efo#M>D@Ztb~N]GO>w;d7q22Z,^*SzNK`U&O&#]-PM>9$IaFa{\y[ze}@F@xb
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 08 Dec 2017 12:59:40 -0500
In-Reply-To: <83mv2twl5w.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 08 Dec
 2017 12:47:55 +0200")
Message-ID: <bua7ytxfqr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29586
Cc: adam@HIDDEN, 29586 <at> debbugs.gnu.org, John Wiegley <johnw@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


I don't have a strong opinion, but:

I don't know of any package management system that when uninstalling a
binary package moves all the files to a trash directory. It seems to me
this is being used in lieu of some features other package systems do
implement, and that package.el could benefit from:

a transaction history
a downgrade command
a rollback command
caching of the _source_ when installing a package
package archives that provide convenient access to old versions
 (maybe this exists for elpas, I don't know)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 8 Dec 2017 10:48:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 08 05:48:30 2017
Received: from localhost ([127.0.0.1]:51411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eNGCk-0001TI-1g
	for submit <at> debbugs.gnu.org; Fri, 08 Dec 2017 05:48:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eNGCi-0001T4-M7
 for 29586 <at> debbugs.gnu.org; Fri, 08 Dec 2017 05:48:29 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eNGCc-0005kI-Fm
 for 29586 <at> debbugs.gnu.org; Fri, 08 Dec 2017 05:48:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56765)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eNGCW-0005g9-Dj; Fri, 08 Dec 2017 05:48:16 -0500
Received: from [176.228.60.248] (port=2758 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eNGCV-00078x-RL; Fri, 08 Dec 2017 05:48:16 -0500
Date: Fri, 08 Dec 2017 12:47:55 +0200
Message-Id: <83mv2twl5w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "John Wiegley" <johnw@HIDDEN>
In-reply-to: <m27eu0n0oa.fsf@HIDDEN> (johnw@HIDDEN)
Subject: Re: bug#29586: Please revert change to package deletion
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 <m27eu0n0oa.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29586
Cc: adam@HIDDEN, 29586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: "John Wiegley" <johnw@HIDDEN>
> Date: Tue, 05 Dec 2017 16:46:13 -0800
> Cc: 29586 <at> debbugs.gnu.org
> 
> >>>>> "AP" == Adam Porter <adam@HIDDEN> writes:
> 
> AP> The original bug report complained of, "cluttering the user's trash can."
> AP> This is a very poor justification for the change that was made, to claim
> AP> that the *trash can* is being cluttered. The trash can is the designated
> AP> receptacle for such clutter, and is designed to be emptied with a single
> AP> action. I cannot fathom real users lamenting that their *trash can* is
> AP> cluttered with *trash*.
> 
> I tend to agree with Adam on this point. As a user, I'd prefer such things to
> accumulate in my trash so that I could undo them; I really don't care what's
> in the trash, just that's useful for undeleting things. Most operating systems
> provide ways to periodically tidy up the trash, so I'm somewhat surprised that
> a bug was issued to this fact.

The problem is that many users have their packages auto-updated, so
the trash piles up quite quickly.

The usual justification for trash is that you may be inadvertently
deleting something precious.  Here we are talking about downgrading to
a previous version of a package, which, while perhaps somewhat
inconvenient, is not impossible.  So why fill up the user's trash with
stuff that can be recovered "by other means"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at 29586 <at> debbugs.gnu.org:


Received: (at 29586) by debbugs.gnu.org; 6 Dec 2017 00:46:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 19:46:37 2017
Received: from localhost ([127.0.0.1]:48247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eMNrB-0002HY-41
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:46:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57733)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johnw@HIDDEN>) id 1eMNr8-0002HI-2O
 for 29586 <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:46:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <johnw@HIDDEN>) id 1eMNr1-0004Mc-TW
 for 29586 <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:46:28 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60809)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johnw@HIDDEN>)
 id 1eMNqu-0004Jj-QR; Tue, 05 Dec 2017 19:46:20 -0500
Received: from auth2-smtp.messagingengine.com ([66.111.4.228]:51869)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <johnw@HIDDEN>)
 id 1eMNqu-0001rD-IH; Tue, 05 Dec 2017 19:46:20 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailauth.nyi.internal (Postfix) with ESMTP id 48C2420AEF;
 Tue,  5 Dec 2017 19:46:18 -0500 (EST)
Received: from frontend2 ([10.202.2.161])
 by compute4.internal (MEProxy); Tue, 05 Dec 2017 19:46:18 -0500
X-ME-Sender: <xms:2j0nWnlla3Bv7g3byoSS4E7lKQ2NNy8ajZSS2_aSQrAK9D4D2hN_NQ>
Received: from localhost (76-234-69-149.lightspeed.frokca.sbcglobal.net
 [76.234.69.149])
 by mail.messagingengine.com (Postfix) with ESMTPA id D766F24786;
 Tue,  5 Dec 2017 19:46:17 -0500 (EST)
From: "John Wiegley" <johnw@HIDDEN>
To: Adam Porter <adam@HIDDEN>
Subject: Re: bug#29586: Please revert change to package deletion
In-Reply-To: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
 (Adam Porter's message of "Tue, 5 Dec 2017 18:20:52 -0600")
Date: Tue, 05 Dec 2017 16:46:13 -0800
Message-ID: <m27eu0n0oa.fsf@HIDDEN>
References: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.0.90 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29586
Cc: 29586 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

>>>>> "AP" == Adam Porter <adam@HIDDEN> writes:

AP> The original bug report complained of, "cluttering the user's trash can."
AP> This is a very poor justification for the change that was made, to claim
AP> that the *trash can* is being cluttered. The trash can is the designated
AP> receptacle for such clutter, and is designed to be emptied with a single
AP> action. I cannot fathom real users lamenting that their *trash can* is
AP> cluttered with *trash*.

I tend to agree with Adam on this point. As a user, I'd prefer such things to
accumulate in my trash so that I could undo them; I really don't care what's
in the trash, just that's useful for undeleting things. Most operating systems
provide ways to periodically tidy up the trash, so I'm somewhat surprised that
a bug was issued to this fact.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2017 00:21:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 05 19:21:05 2017
Received: from localhost ([127.0.0.1]:48237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eMNST-0001hB-GB
	for submit <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:21:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49638)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alphadeltapapa@HIDDEN>) id 1eMNSS-0001gL-0o
 for submit <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:21:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alphadeltapapa@HIDDEN>) id 1eMNSL-0007oY-It
 for submit <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:20:58 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49984)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alphadeltapapa@HIDDEN>)
 id 1eMNSL-0007o8-FW
 for submit <at> debbugs.gnu.org; Tue, 05 Dec 2017 19:20:57 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40579)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alphadeltapapa@HIDDEN>) id 1eMNSJ-00036V-N9
 for bug-gnu-emacs@HIDDEN; Tue, 05 Dec 2017 19:20:57 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alphadeltapapa@HIDDEN>) id 1eMNSI-0007lX-Bl
 for bug-gnu-emacs@HIDDEN; Tue, 05 Dec 2017 19:20:55 -0500
Received: from mail-wm0-x236.google.com ([2a00:1450:400c:c09::236]:38415)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <alphadeltapapa@HIDDEN>)
 id 1eMNSI-0007km-5L
 for bug-gnu-emacs@HIDDEN; Tue, 05 Dec 2017 19:20:54 -0500
Received: by mail-wm0-x236.google.com with SMTP id 64so4286855wme.3
 for <bug-gnu-emacs@HIDDEN>; Tue, 05 Dec 2017 16:20:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:sender:from:date:message-id:subject:to;
 bh=YmStpzou71yPTB7AA4G6W/tdPbDaDK2YBPbXJYcHfrw=;
 b=kY5o8WR9414WD4VvoCVCXAu5oOuLia34IZXOm8/vFp0dQcczFKAcOiYn5ViwOfDhQt
 ndCf+zLnxQVEjRZRamGZd5/9s4+D0Z1me8vxVwfdcbaveTkZ3S/iFVrbk3tpXDYT4+l+
 3+4OheK1ZzqkDwAjc/iwCAWz6hYqkZTrb9ukIOMhZO+aIDsg9fzwd1yRoxNehtlEKS8W
 EEVdBVJK5lClIWIvvgBuvsEbcEHew8xQIC7STssEJ9LM+fXOYCZUhIPqLhCK2nW3C5Xt
 uY+GKkVECw6wn+/62SZjvEfkOZ7MIIzR3mfFZ6mcljpk5OH31ogBRPWVCBkCAyWWcR8h
 zJDg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
 :to; bh=YmStpzou71yPTB7AA4G6W/tdPbDaDK2YBPbXJYcHfrw=;
 b=JREbTqKRWDMr2fmnF8Cawgu6FM5rvjVXISigIIDRpX3ERQO6nwn66Q0J9cMq5iWMeT
 8xffGZNcXQi0OG2fm4x24lMHHpEhRF10FNG5LOzXdpFlCnIPYZKB3ZLEMO6eLUA5exaA
 4pygthlHKWRP9Up076qRkyC3lRO8lwvUw6X98h04Utm7CB0n63O0VA23fqFx1bZuCTDT
 EwCMbmEiQnVu7Bav9CpMPn+0qCfKwNb5QRlRYTjZySSpiJCJjzcJZWzZNVQZBPHk786Z
 n9Bp1tXzUnQY1EZjlQVndgKdGwA8jSR0AGy6QvIQXoNNOInT+8PT2d0GeQMGld0K8aT8
 2HCQ==
X-Gm-Message-State: AJaThX5CNiOaKw7pl6hrGjHAsmnLJsx79XywZMKDgoK0a29YoLpr35ks
 86GY/0tppKJz3C/IQhndGj4QMLmh40jrrdUev/gsig==
X-Google-Smtp-Source: AGs4zMZTg9ygQHPOXk9w+tWhFdw2VqCIft00UV/43f0zKKKGJa23FrzRwuK+xFgRlinUticLpn4WxA+oVMCwHjIVhyU=
X-Received: by 10.80.137.9 with SMTP id e9mr37831631ede.199.1512519652595;
 Tue, 05 Dec 2017 16:20:52 -0800 (PST)
MIME-Version: 1.0
Received: by 10.80.148.214 with HTTP; Tue, 5 Dec 2017 16:20:52 -0800 (PST)
From: Adam Porter <adam@HIDDEN>
Date: Tue, 5 Dec 2017 18:20:52 -0600
X-Google-Sender-Auth: JFdZ8dIOdQIuqIFEVYkv9LNbxYc
Message-ID: <CAO_b3FUJei1H4iXsTh+b-9RhmWyUit+XTqVAkGpRxWqU8_8_ZQ@HIDDEN>
Subject: Please revert change to package deletion
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

I'm disappointed to see the change made in response to the filing of
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14967> being released in
Emacs 26.

The preexisting behavior, to delete packages to the trash, was the safer
behavior.  In the event that an updated package caused a problem, a user
could restore the previous version from the trash.

Since ELPA/MELPA repositories only provide the latest version of a
package, the only other way to recover a previous version of a package
would be for a user to manually recover it from the package's version
control repo.  This is a laborious process, one which most users will
not even have the necessary knowledge to do; generally one would only
expect package developers to be able to do so in a reasonable amount of
time.  For other users, when their config becomes broken due to a new
package version, it's likely that they need to get some work done with
Emacs, and do not therefore have the time to debug such issues and
manually recover the previous version of a package.

This is not an everyday occurrence, but note that, given the relatively
haphazard way in which ELPA/MELPA (the latter, especially) packages are
released, this *does* happen, and inevitably it does so when one doesn't
have time to fix it.  Users who keep their ~/.emacs.d/{,elpa} under
version control have an easy fix for this, but in my estimation, having
been participating in such discussions and encouraging it, this remains
a small minority of users.  Therefore, having old package versions in
the trash is a desirable behavior, in the general best-interests of
users.

The original bug report complained of, "cluttering the user's trash
can."  This is a very poor justification for the change that was made,
to claim that the *trash can* is being cluttered.  The trash can is the
designated receptacle for such clutter, and is designed to be emptied
with a single action.  I cannot fathom real users lamenting that their
*trash can* is cluttered with *trash*.

As well, please note that the original complainant, despite having
significantly contributed to the Emacs community in several ways, has
since aggressively removed himself from the community in general
protest, and is no longer even an Emacs user.

It's especially disappointing, given that a patch
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=14967#36> was posted to
make the behavior configurable, but instead the new, less-safe behavior
was hard-coded.

Finally, the original bug report languished for 3 years without any
other users requesting that the behavior be changed, and then another
year passed before the change was actually made.  Given this, it seems
like this change was essentially made to satisfy the whim of a single
user, who now, very publicly, no longer uses Emacs.

Therefore, please consider reverting this change before Emacs 26 is
released, to avoid this user-unfriendly change being officially released
into the wild.

Thanks for your work on Emacs.




Acknowledgement sent to Adam Porter <adam@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29586; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.